package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel("评论对象")
public class CommentQo {

    @ApiModelProperty(value = "uuid")
    private String commentId;

    @ApiModelProperty(value = "类型")
    private Integer commentType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "点赞次数")
    private Integer likeCount;

    @ApiModelProperty(value = "评论时间")
    private Long updateTime;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "当前用户是否点赞")
    private boolean hasLiked;

    @ApiModelProperty(value = "2级评论")
    private List<CommentLv2Qo> commentLv2Qos;

    // 认证标签相关
    @ApiModelProperty("认证标签用-用户等级体系 0 游客 1注册用户 10投资人 20 探普理顾 30 探普专家理顾 40 交易理财师 50 首席投顾")
    private Integer levelGrade;
    @ApiModelProperty("认证标签用-当levelGrade=10有值 1投资萌新 2投资达人")
    private Integer userInvestorType;
    @ApiModelProperty("认证标签用-用户类型 1普通账号 2机构账号 3机构人员")
    private Integer userType;
    @ApiModelProperty("认证标签用-所属机构id")
    private String belongUserOrgId;
    @ApiModelProperty("认证标签用-所属机构名")
    private String belongUserOrgName;
}
