package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("关注列表")
public class FollowQo {

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "头像url")
    private String headImg;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "个人简介")
    private String introduction;

    @ApiModelProperty(value = "是否关注")
    private boolean followed;

    //认证标签相关
    @ApiModelProperty("认证标签用-用户等级体系 0 游客 1注册用户 10投资人 20 探普理顾 30 探普专家理顾 40 交易理财师 50 首席投顾")
    private Integer levelGrade;
    @ApiModelProperty("认证标签用-当levelGrade=10有值 1投资萌新 2投资达人")
    private Integer userInvestorType;
    @ApiModelProperty("认证标签用-用户类型 1普通账号 2机构账号 3机构人员")
    private Integer userType;
    @ApiModelProperty("认证标签用-所属机构id")
    private String belongUserOrgId;
    @ApiModelProperty("认证标签用-所属机构名")
    private String belongUserOrgName;
}
