package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "转发的主题")
public class FormerThemeQo implements Serializable {

    private static final long serialVersionUID = 837798765255929228L;

    @ApiModelProperty(value = "被转发的昵称")
    private String nickName;

    @ApiModelProperty(value = "被转发的用户头像")
    private String userImg;

    @ApiModelProperty(value = "被转发的主题Id")
    private String themeId;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题 3：转发 ")
    private Integer themeType;

    @ApiModelProperty(value = "被转发的主题标题")
    private String title;

    @ApiModelProperty(value = "被转发的主题的话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "被转发的主题所属的话题")
    private String topicId;

    @ApiModelProperty(value = "被转发的主题的作者id")
    private String authorId;

    @ApiModelProperty(value = "转发内容")
    private List<ThemeContentQo> content;

}
