package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ThemeNotifyQo {

    @ApiModelProperty(value = "通知主键Id")
    private String notificationId;

    @ApiModelProperty(value = "被通知的用户id")
    private String notifiedUserId;

    @ApiModelProperty(value = "1:转发 2：点赞 3：评论 4：关注")
    private Integer messageType;

    @ApiModelProperty(value = "操作用户id")
    public String authorId;
    @ApiModelProperty(value = "操作用户头像")
    public String userImg;

    @ApiModelProperty(value = "操作用户昵称")
    public String nickName;
    @ApiModelProperty(value = "操作用户简介")
    private String userIntroduction;
    @ApiModelProperty(value = "当前用户是否关注该操作用户")
    public boolean follow;
    @ApiModelProperty(value = "认证机构")
    private String authOrg;
    @ApiModelProperty(value = "发表时间-距今")
    public String upToNowTime;
    @ApiModelProperty(value = "发表时间-标准格式化")
    public String formatTime;


    // 内容、话题
    @ApiModelProperty(value = "所属的话题")
    public String topicId;
    @ApiModelProperty(value = "话题名称")
    public String topicTitle;
    @ApiModelProperty(value = "评论/转发内容")
    private String content;
    @ApiModelProperty(value = "评论Id")
    private String commentId;
    @ApiModelProperty(value = "转发类型-主题id")
    private String forwardThemeId;

    @ApiModelProperty(value = "引用的主题id")
    public String formerThemeId;
    @ApiModelProperty(value = "引用的主题内容")
    public String formerContent;
    @ApiModelProperty(value = "引用的主题用户昵称")
    public String formerUserName;
    @ApiModelProperty(value = "引用的主题的话题id")
    public String formerTopicId;
    @ApiModelProperty(value = "引用的主题的话题名称")
    public String formerTopicTitle;

    // 点赞聚合
    @ApiModelProperty(value = "用户id")
    public List<UserBriefInfoQO> likeUsers;
    @ApiModelProperty(value = "点赞人数")
    public Integer likeUserCount;

    // 认证标签相关
    @ApiModelProperty("认证标签用-用户等级体系 0 游客 1注册用户 10投资人 20 探普理顾 30 探普专家理顾 40 交易理财师 50 首席投顾")
    private Integer levelGrade;
    @ApiModelProperty("认证标签用-当levelGrade=10有值 1投资萌新 2投资达人")
    private Integer userInvestorType;
    @ApiModelProperty("认证标签用-用户类型 1普通账号 2机构账号 3机构人员")
    private Integer userType;
    @ApiModelProperty("认证标签用-所属机构id")
    private String belongUserOrgId;
    @ApiModelProperty("认证标签用-所属机构名")
    private String belongUserOrgName;


}
