package com.tanpu.community.api.beans.qo;

import com.tanpu.biz.common.enums.community.TopicStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("热点话题对象")
public class TopicRankQo {

    @ApiModelProperty(value = "话题ID")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "类型 1：热 2：新")
    private Integer type;

    @ApiModelProperty(value = "阅读量")
    private Integer viewCount;

    @ApiModelProperty(value = "讨论量")
    private Integer disscussCount;

    @ApiModelProperty(value = "阅读量-格式化")
    private String formatViewCount;

    @ApiModelProperty(value = "讨论量-格式化")
    private String formatDisscussCount;

    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    @ApiModelProperty(value = "浏览量调整基数")
    private Integer viewCntAdjust;

    @ApiModelProperty(value = "话题下的帖子权重")
    private Double themeWeight;

    private Integer minutesTillNow;

    private Double score;

    public boolean judgeNewTopic(){
        return TopicStatusEnum.NEWEST.getCode().equals(type);
    }
}
