package com.tanpu.community.api.beans.req.comment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel
@Data
public class CreateCommentReq {

    @NotBlank(message = "主题id不能为空")
    @ApiModelProperty(value = "主题Id")
    private String themeId;

    @ApiModelProperty(value = "一级评论id（对主题的一级评论，此项为空）")
    private String parentId;

    @ApiModelProperty(value = "回复对象的id（非对评论回复时，此项为空）")
    private String replyId;

    @NotBlank(message = "评论内容不能为空")
    @ApiModelProperty(value = "评论内容")
    private String comment;

    @ApiModelProperty(value = "同步转发,1 同步 ,0 不同步(默认)")
    private int syncForward = 0;

}
