package com.tanpu.community.api.beans.req.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "查询历史操作主题列表")
public class QueryRecordThemeReq {

    @ApiModelProperty("用户Id")
    @NotBlank
    private String userId;

    @NotNull
    @ApiModelProperty(value = "操作类型 1：发布 2：回复 3：点赞 4：收藏")
    private Integer recordType;

    @ApiModelProperty(value = "当前浏览的最后一个themeId/commentId,可以为空")
    private String lastId;

    @NotNull(message = "PageSize不能为空")
    @ApiModelProperty(value = "页面大小")
    private Integer pageSize;
}
