package com.tanpu.community.api.beans.req.theme;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "转发主题")
public class ForwardThemeReq {

    @NotBlank(message = "转发对象id不能为空")
    @ApiModelProperty(value = "转发的主题Id")
    private String formerThemeId;

    @NotEmpty(message = "内容不能为空")
    @ApiModelProperty(value = "转发的讨论内容")
    private List<ThemeContentReq> content;

    @ApiModelProperty(value = "话题Id")
    private String topicId = "";

    @ApiModelProperty(value = "修改，则传入正在编辑的ThemeId")
    private String editThemeId = "";

    @ApiModelProperty(value = "同步评论,1 同步 ,0 不同步(默认)")
    private int syncComment = 0;
}
