package com.tanpu.community.api.beans.req.theme;

import com.tanpu.community.api.beans.vo.ImagesDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "主题内容")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ThemeContentReq {

    @ApiModelProperty(value = "RelTypeEnum类型，108：文本，88:产品 3：直播 6：短视频 303：新版课程-视频，304: 新版课程-音频，109：单图（长文） 110：多图（讨论））")
    private String type;

    @ApiModelProperty(value = "文本的值是内容，附件的值为id")
    private String value;

    @ApiModelProperty(value = "产品类型,0 公募，1 私募，2 白名单，3 私有")
    private Integer productType;

    @ApiModelProperty(value = "产品推荐语")
    private String remark;

    @ApiModelProperty(value = "附件标题")
    private String resTitle;

    @ApiModelProperty(value = "讨论中的图片列表")
    private List<ImagesDTO> imgList;

}
