package com.tanpu.community.api.beans.vo.feign.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 拼团配置
 * @author: zejia zj wu
 * @create: 2021-06-21 15:43
 **/
@ApiModel(value = "拼团配置")
@Data
public class GroupBuyConfig implements Serializable {
    /**
     * 唯一主键
     */
    @ApiModelProperty(value = "唯一主键")
    private Integer id;

    /**
     * 拼团配置id
     */
    @ApiModelProperty(value = "拼团配置id")
    private String groupBuyConfigId;

    /**
     * 资源id
     */
    @ApiModelProperty(value = "资源id")
    private String resId;

    /**
     * 资源类型 300新版课程包
     */
    @ApiModelProperty(value = "资源类型 300新版课程包")
    private Integer resType;

    /**
     * 拼团价
     */
    @ApiModelProperty(value = "拼团价")
    private Integer groupBuyPrice;

    /**
     * 活动开始时间
     */
    @ApiModelProperty(value = "活动开始时间")
    private Long timeStart;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动结束时间")
    private Long timeEnd;

    /**
     * 拼团时限 单位小时
     */
    @ApiModelProperty(value = "拼团时限 单位小时")
    private Long timeLimit;

    /**
     * 拼团规定人数
     */
    @ApiModelProperty(value = "拼团规定人数")
    private Integer peopleNumber;

    /**
     * 是否开启 在线拼团 0不开启 1开启
     */
    @ApiModelProperty(value = "是否开启 在线拼团 0不开启 1开启")
    private Integer isShow;

    /**
     * 拼团规则总述
     */
    @ApiModelProperty(value = "拼团规则总述")
    private String ruleMain;

    /**
     * 拼团规则详细
     */
    @ApiModelProperty(value = "拼团规则详细")
    private String ruleDetail;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;

    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private Integer deleteTag;

    @ApiModelProperty(value = "拼团标识 1未参与 2拼团进行中 3拼团成功 4拼团失败")
    private Integer groupBuyStatus;

    private static final long serialVersionUID = 1L;
}
