package com.tanpu.community.api.beans.vo.feign.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description 线下
 * @Author wangyalei
 * @Date 2021/9/5 下午9:37
 **/
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OfflineActivityDetailResp {

    /**
     * 活动Id
     */
    @ApiModelProperty(value = "活动Id")
    private String activityId;

    /**
     * 活动类型 1线下活动 2招募活动
     */
    @ApiModelProperty(value = "活动类型 1线下活动 2招募活动")
    private Integer activityType;

    /**
     * 活动标题
     */
    @ApiModelProperty(value = "活动标题")
    private String activityTitle;

    /**
     * 活动封面图
     */
    @ApiModelProperty(value = "活动封面图")
    private String activityCoverUrl;

    /**
     * 活动介绍长图
     */
    @ApiModelProperty(value = "活动介绍长图")
    private String activityDescriptionUrl;

    /**
     * 活动开始时间
     */
    @ApiModelProperty(value = "活动开始时间")
    private Long activityStartTime;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动结束时间")
    private Long activityEndTime;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动状态 1未开始 2报名中 3报名结束")
    private Integer activityState;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动状态文案 未开始 报名中 报名结束")
    private String activityStateName;

    /**
     * 活动地点
     */
    @ApiModelProperty(value = "活动地点")
    private String activityLocation;

    @ApiModelProperty(value = "主办方")
    private OfflineActivitySponsorResp sponsor;

    @ApiModelProperty("参与权限")
    private ResExtResp resExtResp;

    @ApiModelProperty("购买信息")
    private Price price;


    @ApiModel
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @Builder
    public static class OfflineActivitySponsorResp {
        /**
         * 主办方id
         */
        @ApiModelProperty(value = "主办方id")
        private String sponsorId;

        /**
         * 主办方名称
         */
        @ApiModelProperty(value = "主办方名称")
        private String sponsorName;

        /**
         * 主办方头像
         */
        @ApiModelProperty(value = "主办方头像")
        private String sponsorHeadImg;

        /**
         * 主办方简介
         */
        @ApiModelProperty(value = "主办方简介")
        private String sponsorDescription;

        /**
         * 手机号
         */
        @ApiModelProperty(value = "手机号")
        private String sponsorTelphone;

        /**
         * 微信号
         */
        @ApiModelProperty(value = "微信号")
        private String sponsorWechat;

        /**
         * 关联的机构id
         */
        @ApiModelProperty(value = "关联的机构id")
        private String corpId;

        /**
         * 举办活动的数量
         */
        @ApiModelProperty(value = "举办活动的数量")
        private Integer activityNum;

    }
}
