package com.tanpu.community.api.beans.vo.feign.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Description 线下活动
 * @Author wangyalei
 * @Date 2021/9/5 下午9:24
 **/
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OfflineActivityListResp {

    /**
     * 活动Id
     */
    @ApiModelProperty(value = "活动Id")
    private String activityId;

    /**
     * 活动类型 1线下活动 2招募活动
     */
    @ApiModelProperty(value = "活动类型 1线下活动 2招募活动")
    private Integer activityType;

    /**
     * 活动标题
     */
    @ApiModelProperty(value = "活动标题")
    private String activityTitle;

    /**
     * 活动封面图
     */
    @ApiModelProperty(value = "活动封面图")
    private String activityCoverUrl;

    /**
     * 活动开始时间
     */
    @ApiModelProperty(value = "活动开始时间")
    private Date activityStartTime;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动结束时间")
    private Date activityEndTime;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动状态 1未开始 2报名中 3报名结束")
    private Integer activityState;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动状态文案 未开始 报名中 报名结束")
    private Integer activityStateName;

    /**
     * 活动地点
     */
    @ApiModelProperty(value = "活动地点")
    private String activityLocation;

    @ApiModelProperty(value = "主办方")
    private OfflineActivityDetailResp.OfflineActivitySponsorResp sponsor;

    @ApiModelProperty("参与权限")
    private ResExtResp resExtResp;

    @ApiModelProperty("购买信息")
    private Price price;

    @ApiModelProperty(value = "格式化开始-结束时间")
    private String formatTime;
}
