package com.tanpu.community.api.beans.vo.feign.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Description 线下活动
 * @Author wangyalei
 * @Date 2021/9/5 下午9:37
 **/
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OfflineActivitySimpleResp {

    @ApiModelProperty(value = "活动Id")
    private String activityId;

    @ApiModelProperty(value = "活动类型 1线下活动 2招募活动")
    private Integer activityType;

    @ApiModelProperty(value = "活动标题")
    private String activityTitle;

    @ApiModelProperty(value = "活动封面图")
    private String activityCoverUrl;

    @ApiModelProperty(value = "活动开始时间")
    private Date activityStartTime;

    @ApiModelProperty(value = "活动结束时间")
    private Date activityEndTime;

    @ApiModelProperty(value = "报名开始时间")
    private Date signUpStartTime;

    @ApiModelProperty(value = "报名结束时间")
    private Date signUpEndTime;

    @ApiModelProperty(value = "起止时间")
    private String formatTime;

    @ApiModelProperty(value = "活动地点")
    private String activityLocation;

    @ApiModelProperty(value = "主办方名称")
    private String sponsorName;

    @ApiModelProperty(value = "报名状态 1未开始 2报名中 3报名结束")
    private Integer signState;

    @ApiModelProperty(value = "报名状态文案 未开始 报名中 报名结束")
    private String signStateName;


}
