package com.tanpu.community.api.beans.vo.feign.activity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ResExtResp {

    private String id;

    private String resId;

    private Integer resType;

    private Integer buy;

    private Integer buyModel;

    @ApiModelProperty("报名信息 0:不需要 1:需要")
    private Integer bmStatus;

    @ApiModelProperty("展示权限")
    private Integer showAuth;

    @ApiModelProperty("参与权限")
    private Integer partakeAuth;

    @ApiModelProperty("能不能参与 0:不能 1:可以")
    private Integer partakeAuthStatus;

    @ApiModelProperty("该去做什么 tamp理顾问卷 D2 tamp专家理顾问卷  D3 发生基金交易 （系统自动判断） T0 (提示文案: 该功能只对完成交易的探普理财师开放)")
    private String partakeAuthSkip;

    @ApiModelProperty("提示文案")
    private String authMsg;

    @ApiModelProperty("有没有做过合投 0:没有 1:有")
    private Integer qfiiAuthStatus;

    @ApiModelProperty("是否需要合格投资者认值 0:不需要 1:需要")
    private Integer qfiiAuth;

    @ApiModelProperty(value = "用户等级", example = "20")
    private int levelGrade;

    @ApiModelProperty(value = "用户等级对应的名称", example = "20")
    private String levelLabel;
}
