package com.tanpu.community.api.beans.vo.feign.course;

import com.tanpu.community.api.beans.vo.feign.Type;
import com.tanpu.community.api.beans.vo.feign.pay.Price;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel("课程基础属性 BaseCoursePackage")
@Data
public class BaseCoursePackage extends Price {
    @ApiModelProperty("包名称")
    private String packageName;

    @ApiModelProperty("副标题")
    private String twoTitle;

    @ApiModelProperty("结构类型 1:目录 2:资源")
    private Integer courseType;

    @ApiModelProperty("包id")
    private String packageId;

    @ApiModelProperty("标签信息")
    private List<Type> tagTypes;

    @ApiModelProperty("总期数")
    private Integer totalNum;

    @ApiModelProperty("多少人已学习")
    private Integer readNum;

    @ApiModelProperty("试听数量")
    private Integer everySelectNum = 0;

    @ApiModelProperty("是否收藏 0:没收藏 1:收藏")
    private Integer isFavorite;

    @ApiModelProperty("是否引用讲师头像 0否 1是；bgStatus=0时，直接展示squareImg；bgStatus=1时，将squareImg与bgImg叠加展示")
    private Integer bgStatus;

    @ApiModelProperty("方图")
    private String squareImg;

    @ApiModelProperty("背景图地址")
    private String bgImg;

    @ApiModelProperty("发刊词状态 1:有发刊词 2:没有发刊词")
    private Integer progressionStatus;
    @ApiModelProperty("发刊词")
    private String progressionId;
    @ApiModelProperty("发刊词名称")
    private String progressionName;
    @ApiModelProperty("发刊词地址")
    private String progressionUrl;
    @ApiModelProperty("发刊词资源类型 音/视频")
    private Integer progressionResType;
    @ApiModelProperty("是否学习过 0: 否 1：是")
    private Integer progressIsListen;

    @ApiModelProperty("发刊词的课程id")
    private String progressionContext;

    @ApiModelProperty("发刊词数量")
    private Integer progressionReadNum;

    @ApiModelProperty("发刊词数量")
    private Integer progressionLengthTime;

    @ApiModelProperty("试听类型 1:任意选择课程 2:指定课程")
    private Integer auditionType;

    @ApiModelProperty("试听设置 0:无试听 1:有试听")
    private Integer auditionSetting;

    @ApiModelProperty("发刊词mp3Url")
    private String progressionMp3Url;
}
