package com.tanpu.community.api.beans.vo.feign.course;

import com.tanpu.community.api.beans.vo.feign.pay.GroupBuyConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("课程章节详情")
public class CoursePackageDetail extends BaseCoursePackage {

    @ApiModelProperty("课程亮点")
    private String courseSparkle;

    @ApiModelProperty("购买须知")
    private String buyNotice;

    @ApiModelProperty("课程表")
    private String courseTable;

    @ApiModelProperty("已学过列表")
    private List<String> listenedIds;

    @ApiModelProperty("试听id")
    private List<String> listerIds;

    @ApiModelProperty("喜欢")
    private List<LikeCourse> likeCourses;

    @ApiModelProperty("已试听课程数量")
    private Integer selectNums = 0;

    @ApiModelProperty("是否正在参与拼团活动 0不参加 1参加")
    private Integer isJoinGroupBuy = 0;

    @ApiModelProperty("拼团活动配置信息")
    private GroupBuyConfig groupBuyConfig;

}
