package com.tanpu.community.api.beans.vo.feign.course;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("课程基本信息")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CourseSimpleResp {

    @ApiModelProperty("课程id")
    private String courseId;

    @ApiModelProperty("课程包Id")
    private String coursePackageId;

    @ApiModelProperty("课程包名称")
    private String packageName;

    @ApiModelProperty("课程名称")
    private String title;

    @ApiModelProperty("讲师名称")
    private String lecturerName;

    @ApiModelProperty("多少人已学习")
    private Integer readNum;

    @ApiModelProperty("是否引用讲师头像 0否 1是；bgStatus=0时，直接展示squareImg；bgStatus=1时，将squareImg与bgImg叠加展示")
    private Integer bgStatus;

    @ApiModelProperty("方图")
    private String squareImg;

    @ApiModelProperty("背景图地址")
    private String bgImg;

    @ApiModelProperty("播放地址")
    private String url;

    @ApiModelProperty("1：音频 2：视频")
    private Integer type;

}
