package com.tanpu.community.api.beans.vo.feign.fatools;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 用户信息 机构
 * @author: zejia zj wu
 * @create: 2021-07-15 14:37
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "用户信息 机构")
public class UserInfoNewOrg {

    //↓↓↓↓ 机构 ↓↓↓↓
    @ApiModelProperty(value = "机构id")
    private String corpId;
    @ApiModelProperty(value = "公司全称")
    private String corpName;
    @ApiModelProperty(value = "营业执照账号")
    private String corpOrganizationNumber;
    @ApiModelProperty(value = "营业执照 图片url")
    private String corpOrganizationImageUrl;
    @ApiModelProperty(value = "机构用户身份公函 url")
    private String corpIdentityLetterUrl;
    @ApiModelProperty(value = "机构认证信息登记表 url")
    private String corpAuthInfoFormUrl;
    @ApiModelProperty(value = "申请用户id")
    private String applyUserId;
    @ApiModelProperty(value = "审核状态 0待审核 1通过 2驳回")
    private Integer auditStatus;
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    @ApiModelProperty(value = "运营人员姓名")
    private String operatorName;
    @ApiModelProperty(value = "运营人员职位")
    private String operatorPosition;
    @ApiModelProperty(value = "运营人员手机号码")
    private String operatorMobilePhone;
    @ApiModelProperty(value = "运营人员电子邮箱")
    private String operatorEmail;
    @ApiModelProperty(value = "认证名称")
    private String certName;
    @ApiModelProperty(value = "是否匹配现有基金公司 0不匹配 1匹配")
    private Integer relationFundCompanyExists;
    @ApiModelProperty(value = "所属基金公司id")
    private String relationFundCompanyId;
    @ApiModelProperty(value = "所属基金公司类型 0公募 1私募")
    private Integer relationFundCompanyType;

}