package com.tanpu.community.api.beans.vo.feign.fatools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 机构人员信息
 * @author: zejia zj wu
 * @create: 2021-07-18 20:06
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "用户信息 机构人员信息")
public class UserInfoOrg {

    @ApiModelProperty("用户id")
    private String userId;//用户id
    @ApiModelProperty("昵称")
    private String nickName;//昵称
    @ApiModelProperty("个人简介")
    private String introduction;//个人简介
    @ApiModelProperty("头像")
    private String headImageUrl;//头像
    @ApiModelProperty("认证职位")
    private String certPosition;
    @ApiModelProperty("是否已关注 0未关注 1已关注")
    private Integer isFollower = 0;
    @ApiModelProperty("全新用户等级体系 详见 UserLevelEnum")
    private Integer levelGrade;
    @ApiModelProperty("当levelGrade=10有值 1投资萌新 2投资达人")
    private Integer userInvestorType;
    @ApiModelProperty("用户类型 1个人 2机构账号 3机构人员")
    private Integer userType;
}

