package com.tanpu.community.api.beans.vo.feign.pay;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@Data
@SuperBuilder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
public class Price {

    @ApiModelProperty("资源id")
    private String resId;

    @ApiModelProperty("是不是白名单 0:不是 1:是白名单")
    private Integer isWhite;

    @ApiModelProperty("价格")
    private String totalPrice;

    @ApiModelProperty("积分")
    private String totalScore;

    @ApiModelProperty("付费模式 1：免费 2：积分  3：现金")
    private Integer chargeMode;

    @ApiModelProperty("划线价格")
    private String discountPrice;

    @ApiModelProperty("划线积分")
    private String discountScore;

    @ApiModelProperty("促销时间")
    private Time3Type time3Type;

    @ApiModelProperty("会员打折价")
    private String memberDiscountPrice;

    @ApiModelProperty("会员促销时间")
    private Time3Type memberTime3Type;

    @ApiModelProperty("报名信息 0:不需要 1:需要")
    private Integer bmStatus;

    @ApiModelProperty("报名信息 0:没有 1:已报名")
    private Integer bmInfo;

    @ApiModelProperty("审批状态 0：待审批 1：审批通过 2：审批失败")
    private Integer spStatus;

    @ApiModelProperty("action")
    private String action;

    @ApiModelProperty("报名信息")
    private ResBmInfoResp resBmInfoResp;

    /*@ApiModelProperty("会员身分")
    private Integer memberLevel;

    @ApiModelProperty("1:不上浮包含 2:上浮包含等级")
    private Integer rose;*/

    @ApiModelProperty("最终价格")
    private String finalPrice;

    @ApiModelProperty("最终积分")
    private String finalScore;

    @ApiModelProperty("最终身份")
    private Integer finalLevel;

    @ApiModelProperty("最终付费模式 1：免费 2：积分  3：现金")
    private Integer finalChargeMode;

    @ApiModelProperty("需不需要支付 2:不需要 1:需要")
    private Integer isNeedBuy;

    @ApiModelProperty("有没有支付 2:已购买 1:未购买")
    private Integer isBuy;

    @ApiModelProperty("是否正在参与拼团活动 0不参加 1参加")
    private Integer isJoinGroupBuy = 0;

    @ApiModelProperty("拼团活动配置信息")
    private GroupBuyConfig groupBuyConfig;
}
