package com.tanpu.community.api.beans.vo.feign.product;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 基金基础信息（精简）
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FundInfoBaseResp {

    /**
     * 基金id
     */
    @ApiModelProperty("基金id")
    private String fundId;

    @ApiModelProperty("基金名称")
    private String productName;

    @ApiModelProperty("产品类型")
    private Integer productType;

    /**
     * 私募基金类型：1-信托计划，2-有限合伙，3-券商资管，4-公募专户，5-单账户，6-证券投资基金，7-海外基金，8-期货资管，9-保险资管、10-创业投资基金、11-股权投资基金、12-银行理财、13-类固收信托、-1其他投资基金
     * 公募基金类型：1-混合型、2-债券型、3-定开债券、4-联接基金、5-货币型、6-债券指数、7-保本型、8-理财型、9-QDII、10-股票指数、11-QDII-指数、12-股票型、13-固定收益、14-分级杠杆、15-ETF-场内、16-QDII-ETF、17-债券创新-场内、18-封闭式
     */
    private Integer fundType;

    /**
     * 开放日
     */
    @ApiModelProperty("开放日")
    private String openDay;

    /**
     * 融智策略分类，1-股票策略，2-宏观策略，3-管理期货，4-事件驱动，5-相对价值策略，6-固定收益策略，7-组合基金，8-复合策略，-1-其它策略
     */
    private Integer strategy;

    /**
     * 融智子策略分类:1010-主观多头 1020-股票多空 1030-量化多头 2010-宏观策略 3010-主观趋势 3020-主观套利 3030-量化趋势 3040-量化套利 3050-管理期货复合 4010-并购重组 4020-定向增发 4030-大宗交易 4040-事件驱动复合 5010-股票市场中性 5020-套利 5030-相对价值复合 6010-纯债策略 6020-强债策略 6030-固收复合 7010-MOM 7020-FOF 8010-主观多策略 8020-量化多策略 -1-其他策略'
     */
    @ApiModelProperty("子策略")
    private Integer substrategy;

    /**
     * 风险等级 1:低风险 2：中低风险 3：中等风险 4：中高风险 5：高风险
     */
    @ApiModelProperty("风险等级")
    private Integer riskLevel;

    @ApiModelProperty("是否可预约 0:不可预约 1:可预约")
    private Integer isAppoint;

    @ApiModelProperty("成立以来收益率")
    private String retIncep;

    @ApiModelProperty("起投金额 单位:万")
    private String money;

    @ApiModelProperty("推荐理由")
    private String remark;


    private String ratioId;

}
