package com.tanpu.community.api.beans.vo.feign.product;

import com.tanpu.community.api.beans.vo.feign.course.ColumnVO;
import com.tanpu.community.api.beans.vo.feign.Net;
import com.tanpu.community.api.beans.vo.feign.Type;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("产品信息")
@Data
public class ProductInfoVO {

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("产品名称 (同productName) 请忽略此字段")
    private String fundName;

    @ApiModelProperty("产品id")
    private String fundId;

    @ApiModelProperty("对比产品id")
    private String ratioId;

    @ApiModelProperty("累计收益")
    private String cumulativeProfit;

    @ApiModelProperty("运行时间")
    private String runTime;

    @ApiModelProperty("产品编码")
    private String productCode;

    @ApiModelProperty("近一个月收益率")
    private String ret1m;

    @ApiModelProperty("最近一年")
    private String ret1y;

    @ApiModelProperty("最近一年")
    private BigDecimal ret1ySort;

    @ApiModelProperty("近一年收益 (同最近一年) 请忽略此字段")
    private String near1YearProfit;

    @ApiModelProperty("今年以来")
    private String retYtd;

    @ApiModelProperty("成立以来收益率")
    private String retIncep;

    @ApiModelProperty("成立以来")
    private BigDecimal retIncepSort;

    @ApiModelProperty("最新净值")
    private Net net;

    @ApiModelProperty("风险等级")
    private Integer riskLevel;

    @ApiModelProperty("基金类型名称")
    private String fundTypeName;

    @ApiModelProperty("起投金额 单位:万")
    private String money;

    @ApiModelProperty("初始规模")
    private String initialSize;

    @ApiModelProperty("最低追加金额")
    private String minMoney;

    @ApiModelProperty("封闭期")
    private Integer lockupPeriod;

    @ApiModelProperty("开放日")
    private String openDay;

    @ApiModelProperty("开放日")
    private String redeemDayStr;

    @ApiModelProperty("申购日")
    private Long applyDay;

    @ApiModelProperty("赎回日")
    private Long redeemDay;

    @ApiModelProperty("产品标签")
    private List<ProductLabel> productLabels;

    @ApiModelProperty("管理人的解答")
    private List<String> problems;

    @ApiModelProperty("回答总数")
    private Integer answerCount;

    @ApiModelProperty("描述")
    private String desc;

    @ApiModelProperty("产品来源 1：探普 2：私募排排 -1:自建产品")
    private Integer dataSources;

    @ApiModelProperty("产品类型 0：公募 1：私募 2：白名单 3：私有基金")
    private Integer productType;

    @ApiModelProperty("策略类型")
    private String strategy;

    @ApiModelProperty("策略类型")
    private String substrategy;

    @ApiModelProperty("策略类型")
    private String substrategyName;

    @ApiModelProperty("策略类型名称")
    private String strategyName;

    @ApiModelProperty("基金公司id")
    private String trustId;

    @ApiModelProperty("基金公司名称")
    private String trustName;

    @ApiModelProperty("是否可预约 0:不可预约 1:可预约")
    private Integer isAppoint;

    @ApiModelProperty("是否有研报 0:没有 1:有研报")
    private Integer isReport;

    private String dailyIncrease;

    private Type type;

    @ApiModelProperty("栏目信息")
    private List<ColumnVO> vos;

    @ApiModelProperty("成立日期")
    private Long inceptionDate;

    @ApiModelProperty("备案编码")
    private String registerNumber;

    @ApiModelProperty("经理id")
    private String managerId;

    @ApiModelProperty("经理姓名")
    private String managerName;

    @ApiModelProperty("经理数量")
    private Integer managerNum;

    @ApiModelProperty("基金数量")
    private Integer fundNum;

    @ApiModelProperty("公司资产规模")
    private String companyAssetSize;

    @ApiModelProperty("点评")
    private List<Type> commentContent;

    @ApiModelProperty("热推 1:表示热推")
    private Integer hotPush = 0;

    /**
     * 是否推荐 0 否 1：是
     */
    private Integer isRecommend;

    /**
     * 推荐
     */
    private String recommend;
    /**
     * 基金文件
     */
    private String fundFile;

}
