package com.tanpu.community.api.beans.vo.feign.user;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@ApiModel(description = "用户信息")
@Data
public class UserInfoVo {

    @ApiModelProperty("用户ID")
    private String id;
    @ApiModelProperty("用户姓名")
    private String uiUsername;
    @ApiModelProperty("用户昵称")
    private String uiNickname;
    @ApiModelProperty("用户头像")
    private String uiHeadimg;
    @ApiModelProperty("用户头像")
    private String uiHeadimgMp;
    @ApiModelProperty("二维码名片图片")
    private String uiWechatQrcode;
    @ApiModelProperty("微店小程序图片")
    private String uiWechatXcxQrcode;
    @ApiModelProperty("用户权限")
    private String uiAuth;
    @ApiModelProperty("用户手机号")
    private String uiMobilephoneMp;
    @ApiModelProperty("名片电话")
    private String uiTelphoneMp;
    @ApiModelProperty("注册手机号")
    private String uiTelphone;
    @ApiModelProperty("微信id'")
    private String uiOpenId;

    @ApiModelProperty("realname")
    private String realname;

    @ApiModelProperty("level")
    private Integer level;

    @ApiModelProperty("0游客，1注册用户，20探普理顾  30:探普专家理顾  40:交易理财师")
    private Integer levelGrade;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("注册时间")
    private Date uiRegisterTime;


}
