package com.tanpu.community.api.beans.vo.feign.zhibo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@ApiModel("直播列表返回结果集合")
@Data
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ZhiboListResp {
    @ApiModelProperty(value = "直播间ID")
    private String id;
    @ApiModelProperty(value = "直播标题")
    private String title;
    @ApiModelProperty(value = "列表缩略图")
    private String sourceImg;
    @ApiModelProperty(value = "讲师")
    private String managerName;
    @ApiModelProperty(value = "直播状态", notes = "1：未开始 2：直播中 3：已结束")
    private String ztStatus;
    @ApiModelProperty(value = "开播时间")
    private Long ztStarttime;
    @ApiModelProperty(value = "母直播间Id")
    private String parentId;

    @ApiModelProperty("讲师信息")
    private String bgImg;

    private String squareImg;

    @ApiModelProperty("0：不使用 1：使用讲师图")
    private Integer bgStatus;

    @ApiModelProperty("包含课件数量 0：无课件")
    private Long courseWareNum = 0L;

    @ApiModelProperty("图片地址")
    private String img;

    @ApiModelProperty("访问人次")
    private Integer readNum;

    @ApiModelProperty("预约人数")
    private Integer appointNum;


}
