package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.common.auth.AuthLogin;
import com.tanpu.community.manager.VisitSummaryManager;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
@RequestMapping(value = "/metric")
public class MetricsController {
    @Autowired
    private VisitSummaryManager visitSummaryManager;

    @AuthLogin
    @ApiOperation("浏览话题")
    @GetMapping("/view/topic")
    public CommonResp pageViewTopic(@RequestParam String topicId){
        return CommonResp.success();
    }

    @AuthLogin
    @ApiOperation("浏览主题")
    @GetMapping("/view/theme")
    public CommonResp pageViewTheme(@RequestParam String themeId){
        return CommonResp.success();
    }

    @AuthLogin
    @ApiOperation("浏览关注主题")
    @GetMapping("/view/follow")
    public CommonResp pageViewTheme(){
        return CommonResp.success();
    }


}
