package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.common.auth.AuthLogin;
import com.tanpu.common.auth.UserHolder;
import com.tanpu.community.api.beans.qo.TopicRankQo;
import com.tanpu.community.api.beans.req.page.Page;
import com.tanpu.community.api.beans.req.topic.TopicSearchReq;
import com.tanpu.community.manager.TopicManager;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping(value = "/api/topic")
public class TopicController {

    @Autowired
    private TopicManager topicManager;

    @Autowired
    private UserHolder userHolder;




    @PostMapping(value = "/list")
    @ApiOperation("APP全部话题页面，可搜索")
    @ResponseBody
    public CommonResp<Page<TopicRankQo>> getTopicList(@RequestBody TopicSearchReq req){
        return CommonResp.success(topicManager.getAllTopicBriefInfo(req));
    }

    @GetMapping(value = "/detailPage")
    @ApiOperation("话题详情页顶部")
    @ResponseBody
    public CommonResp<TopicRankQo> getDetail(@RequestParam String topicId){
        return topicManager.getDetail(topicId);
    }


    @GetMapping(value = "/titleList")
    @ApiOperation("首页顶部话题标题列")
    @ResponseBody
    public CommonResp<List<TopicRankQo>> getTop4Topic(){
        return CommonResp.success(topicManager.getTop4TopicTitles());

    }

}
