package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 评论
 * </p>
 *
 * @author xudong
 * @since 2021-07-28
 */
@TableName("comment")
@ApiModel(value="CommentEntity对象", description="评论")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CommentEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "评论主键Id")
    private String commentId;

    @ApiModelProperty(value = "类型 1：评论")
    private Integer commentType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "主题id")
    private String themeId;

    @ApiModelProperty(value = "一级评论id")
    private String parentId;

    @ApiModelProperty(value = "回复评论id")
    private String replyId;

    @ApiModelProperty(value = "审核状态 0：初始值  1：已通过（管理后台使用）")
    private Integer reviewStatus;

    @ApiModelProperty(value = "举报状态 0：未被举报  1:被举报 2：已处理")
    private Integer reportStatus;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCommentId() {
        return commentId;
    }

    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }

    public Integer getCommentType() {
        return commentType;
    }

    public void setCommentType(Integer commentType) {
        this.commentType = commentType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAuthorId() {
        return authorId;
    }

    public void setAuthorId(String authorId) {
        this.authorId = authorId;
    }

    public String getThemeId() {
        return themeId;
    }

    public void setThemeId(String themeId) {
        this.themeId = themeId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getReplyId() {
        return replyId;
    }

    public void setReplyId(String replyId) {
        this.replyId = replyId;
    }

    public Integer getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(Integer reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public Integer getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(Integer reportStatus) {
        this.reportStatus = reportStatus;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "CommentEntity{" +
        "id=" + id +
        ", commentId=" + commentId +
        ", commentType=" + commentType +
        ", content=" + content +
        ", authorId=" + authorId +
        ", themeId=" + themeId +
        ", parentId=" + parentId +
        ", replyId=" + replyId +
        ", reviewStatus=" + reviewStatus +
        ", reportStatus=" + reportStatus +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
