package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 上传文件
 * </p>
 *
 * @author xudong
 * @since 2021-08-18
 */
@TableName("file_record")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="FileRecordEntity对象", description="上传文件")
public class FileRecordEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "文件主键Id")
    private String fileId;

    @ApiModelProperty(value = "类型：1：图片")
    private Integer fileType;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "阿里云key")
    private String fileOssKey;

    @ApiModelProperty(value = "预签名预览url")
    private String previewUrl;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;

    private String extInfo;

    @ApiModelProperty(value = "审核状态 0：初试化 1：通过 2：不通过 3:需要人工再审")
    private Integer checkStatus;

    @ApiModelProperty(value = "审核结果记录")
    private String checkResultLog;

    public String getUrl(){
        return getPreviewUrl().substring(0,getPreviewUrl().indexOf("?"));
    }
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public Integer getFileType() {
        return fileType;
    }

    public void setFileType(Integer fileType) {
        this.fileType = fileType;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileOssKey() {
        return fileOssKey;
    }

    public void setFileOssKey(String fileOssKey) {
        this.fileOssKey = fileOssKey;
    }

    public String getPreviewUrl() {
        return previewUrl;
    }

    public void setPreviewUrl(String previewUrl) {
        this.previewUrl = previewUrl;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    public String getExtInfo() {
        return extInfo;
    }

    public void setExtInfo(String extInfo) {
        this.extInfo = extInfo;
    }

    public Integer getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(Integer checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckResultLog() {
        return checkResultLog;
    }

    public void setCheckResultLog(String checkResultLog) {
        this.checkResultLog = checkResultLog;
    }

    @Override
    public String toString() {
        return "FileRecordEntity{" +
        "id=" + id +
        ", fileId=" + fileId +
        ", fileType=" + fileType +
        ", fileName=" + fileName +
        ", fileOssKey=" + fileOssKey +
        ", previewUrl=" + previewUrl +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        ", extInfo=" + extInfo +
        ", checkStatus=" + checkStatus +
        ", checkResultLog=" + checkResultLog +
        "}";
    }
}
