package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 粉丝关系
 * </p>
 *
 * @author xudong
 * @since 2021-07-28
 */
@TableName("follow_rel")
@ApiModel(value="FollowRelEntity对象", description="粉丝关系")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FollowRelEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "被关注的人id")
    private String idolId;

    @ApiModelProperty(value = "粉丝id")
    private String fansId;

    @ApiModelProperty(value = "关注时间")
    private LocalDateTime followTime;

    @ApiModelProperty(value = "取消关注时间")
    private LocalDateTime unfollowTime;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIdolId() {
        return idolId;
    }

    public void setIdolId(String idolId) {
        this.idolId = idolId;
    }

    public String getFansId() {
        return fansId;
    }

    public void setFansId(String fansId) {
        this.fansId = fansId;
    }

    public LocalDateTime getFollowTime() {
        return followTime;
    }

    public void setFollowTime(LocalDateTime followTime) {
        this.followTime = followTime;
    }

    public LocalDateTime getUnfollowTime() {
        return unfollowTime;
    }

    public void setUnfollowTime(LocalDateTime unfollowTime) {
        this.unfollowTime = unfollowTime;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "FollowRelEntity{" +
        "id=" + id +
        ", idolId=" + idolId +
        ", fansId=" + fansId +
        ", followTime=" + followTime +
        ", unfollowTime=" + unfollowTime +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
