package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 消息通知记录
 * </p>
 *
 * @author xudong
 * @since 2021-08-13
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("notification")
@ApiModel(value="NotificationEntity对象", description="消息通知记录")
public class NotificationEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "通知主键Id")
    private String notificationId;

    @ApiModelProperty(value = "被通知的用户id")
    private String notifiedUserId;

    @ApiModelProperty(value = "1:转发 2：点赞 3：评论 4：关注")
    private Integer messageType;

    @ApiModelProperty(value = "目标id，类型是转发、点赞、评论时为themeId，关注则为user_id")
    private String targetId;

    @ApiModelProperty(value = "评论:评论内容  转发：topicId+内容  点赞：人数+最近3个用户")
    private String content;

    @ApiModelProperty(value = "操作者id")
    private String operatorId;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNotificationId() {
        return notificationId;
    }

    public void setNotificationId(String notificationId) {
        this.notificationId = notificationId;
    }

    public String getNotifiedUserId() {
        return notifiedUserId;
    }

    public void setNotifiedUserId(String notifiedUserId) {
        this.notifiedUserId = notifiedUserId;
    }

    public Integer getMessageType() {
        return messageType;
    }

    public void setMessageType(Integer messageType) {
        this.messageType = messageType;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "NotificationEntity{" +
        "id=" + id +
        ", notificationId=" + notificationId +
        ", notifiedUserId=" + notifiedUserId +
        ", messageType=" + messageType +
        ", targetId=" + targetId +
        ", content=" + content +
        ", operatorId=" + operatorId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
