package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 话题排序日志记录’
 * </p>
 *
 * @author xudong
 * @since 2021-07-30
 */
@TableName("rank_log")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="RankLogEntity对象", description="话题排序日志记录’")
public class RankLogEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "1:话题 2：主题")
    private Integer type;

    @ApiModelProperty(value = "总排序数量")
    private Integer totalCount;

    @ApiModelProperty(value = "页码")
    private Integer pageNumber;

    @ApiModelProperty(value = "页面大小")
    private Integer pageSize;

    @ApiModelProperty(value = "排序内容")
    private String content;

    @ApiModelProperty(value = "花费间隔，单位毫秒")
    private Long rankCost;

    @ApiModelProperty(value = "排序时间")
    private LocalDateTime rankTime;

    private Long round;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getPageNumber() {
        return pageNumber;
    }

    public void setPageNumber(Integer pageNumber) {
        this.pageNumber = pageNumber;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getRankCost() {
        return rankCost;
    }

    public void setRankCost(Long rankCost) {
        this.rankCost = rankCost;
    }

    public LocalDateTime getRankTime() {
        return rankTime;
    }

    public void setRankTime(LocalDateTime rankTime) {
        this.rankTime = rankTime;
    }

    public Long getRound() {
        return round;
    }

    public void setRound(Long round) {
        this.round = round;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "RankLogEntity{" +
        "id=" + id +
        ", type=" + type +
        ", totalCount=" + totalCount +
        ", pageNumber=" + pageNumber +
        ", pageSize=" + pageSize +
        ", content=" + content +
        ", rankCost=" + rankCost +
        ", rankTime=" + rankTime +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
