package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 主题文字查重表
 * </p>
 *
 * @author xudong
 * @since 2021-09-14
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("theme_check_duplicate")
@ApiModel(value="ThemeCheckDuplicateEntity对象", description="主题文字查重表")
public class ThemeCheckDuplicateEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "主题Id")
    private String themeId;

    private Integer themeType;

    @ApiModelProperty(value = "分块")
    private String partitionText;

    @ApiModelProperty(value = "分块hash")
    private Integer partitionHash;

    @ApiModelProperty(value = "分块号")
    private Integer partitionNum;

    @ApiModelProperty(value = "分块总数")
    private Integer totalParts;

    @ApiModelProperty(value = "作者id")
    private String userId;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getThemeId() {
        return themeId;
    }

    public void setThemeId(String themeId) {
        this.themeId = themeId;
    }

    public Integer getThemeType() {
        return themeType;
    }

    public void setThemeType(Integer themeType) {
        this.themeType = themeType;
    }

    public String getPartitionText() {
        return partitionText;
    }

    public void setPartitionText(String partitionText) {
        this.partitionText = partitionText;
    }

    public Integer getPartitionHash() {
        return partitionHash;
    }

    public void setPartitionHash(Integer partitionHash) {
        this.partitionHash = partitionHash;
    }

    public Integer getPartitionNum() {
        return partitionNum;
    }

    public void setPartitionNum(Integer partitionNum) {
        this.partitionNum = partitionNum;
    }

    public Integer getTotalParts() {
        return totalParts;
    }

    public void setTotalParts(Integer totalParts) {
        this.totalParts = totalParts;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "ThemeCheckDuplicateEntity{" +
        "id=" + id +
        ", themeId=" + themeId +
        ", themeType=" + themeType +
        ", partitionText=" + partitionText +
        ", partitionHash=" + partitionHash +
        ", partitionNum=" + partitionNum +
        ", totalParts=" + totalParts +
        ", userId=" + userId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
