package com.tanpu.community.dao.mapper.community;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tanpu.community.dao.entity.community.TimesCountEntity;
import com.tanpu.community.dao.entity.community.VisitLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 浏览记录 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-07-28
 */
public interface VisitLogMapper extends BaseMapper<VisitLogEntity> {
    @Select("select * from visit_log where ident=#{ident} and ref_id=#{refId} and ref_type=#{refType}")
    VisitLogEntity selectByIdentAndRefId(@Param("ident") String ident, @Param("refId") String refId, @Param("refType") String refType);

    @Update("update visit_log set duration=duration+#{duration} where ident=#{ident}")
    void updateDurByIdent(@Param("duration") Integer dur, @Param("ident") String ident);

    @Select("select ref_id as id,  count(1) as times from visit_log ${ew.customSqlSegment}")
    List<TimesCountEntity> selectCountByThemeIds(@Param(Constants.WRAPPER) LambdaQueryWrapper wrapper);

    @Select("select ref_id from visit_log where visitor_id=#{visitorId} and date(create_time) between #{startDate} and #{endDate}")
    List<String> selectRefIdByVisitorIdAndCreateBetween(@Param("visitorId") String visitorId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);
}
