package com.tanpu.community.feign.activity;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.activity.OfflineActivitySimpleResp;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignBackClientForActivity implements FallbackFactory<FeignClientForActivity> {

    @Override
    public FeignClientForActivity create(Throwable throwable) {
        return new FeignClientForActivity() {
            @Override
            public CommonResp<List<OfflineActivitySimpleResp>> simpleListByIds(List<String> activityIds) {
                log.error("请求信息", throwable);
                log.error("FeignClientForActivity.offlineActivityDetail-查询活动ids:{}", activityIds);
                return CommonResp.error();
            }

            @Override
            public CommonResp<List<OfflineActivitySimpleResp>> simpleListByOrgid(String orgId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForActivity.offlineActivityDetail-查询活动orgId:{}", orgId);
                return CommonResp.error();
            }


        };
    }
}
