package com.tanpu.community.feign.activity;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.activity.OfflineActivitySimpleResp;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "service-jifen", contextId = "jifen", fallbackFactory = FeignBackClientForActivity.class, url = "${tanpu.jifen.svc:http://tp-jifen-svc}", path = "/jifen")
// @FeignClient(value = "service-jifen", contextId = "jifen", fallbackFactory = FeignBackClientForActivity.class, url = "http://127.0.0.1:8202/community")
public interface FeignClientForActivity {


    @ApiOperation("线下活动列表-通过ids查询")
    @GetMapping(value = "/offlineActivity/inter/listByIds")
    CommonResp<List<OfflineActivitySimpleResp>> simpleListByIds(@ApiParam("活动ids") @RequestParam(value = "activityIds") List<String> activityIds);

    @ApiOperation("线下活动列表-通过机构查询")
    @GetMapping(value = "/offlineActivity/inter/listByOrgId")
    CommonResp<List<OfflineActivitySimpleResp>> simpleListByOrgid(@ApiParam("机构id") @RequestParam(value = "orgId") String orgId);
}
