package com.tanpu.community.feign.community;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.newsfeed.NewsFeedSave4NewCommReq;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FeignBackClientForCommunity implements FallbackFactory<FeignClientForCommunity> {

    @Override
    public FeignClientForCommunity create(Throwable throwable) {
        return new FeignClientForCommunity() {
            @Override
            public CommonResp saveNewsFeed4NewComm(NewsFeedSave4NewCommReq req) {
                log.error("请求信息", throwable);
                log.error("FeignBackClientForCommunity.saveNewsFeed4NewComm-同步专栏频ids:{}", req.getNewsFeedId());
                return null;
            }

        };
    }
}
