package com.tanpu.community.feign.course;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.course.CourseDetailExt;
import com.tanpu.community.api.beans.vo.feign.course.CoursePackageDetail;
import com.tanpu.community.api.beans.vo.feign.course.CourseSimpleResp;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignBackClientForCourse implements FallbackFactory<FeignClientForCourse> {
    @Override
    public FeignClientForCourse create(Throwable throwable) {
        return new FeignClientForCourse() {
            @Override
            public CommonResp<CourseDetailExt> getCourseIdDetailInfo(String id, String packageId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForCourse.getCourseIdDetailInfo-查询课程id:{}，package:{}", id,packageId);
                return CommonResp.failed("调用getCourseIdDetailInfo失败");
            }

            @Override
            public CommonResp<List<CourseSimpleResp>> getCourseSimpleList(List<String> ids) {
                log.error("请求信息", throwable);
                log.error("FeignClientForCourse.getCourseSimpleList-查询课程基础信息列表ids:{}", ids);
                return CommonResp.failed("调用getCourseSimpleList失败");
            }

            @Override
            public CommonResp<CoursePackageDetail> getCoursePackageDetailInfo(String id) {
                log.error("请求信息", throwable);
                log.error("FeignClientForCourse.getCoursePackageDetailInfo-查询课程包id:{}", id);
                return CommonResp.failed("调用getCoursePackageDetailInfo失败");
            }

            @Override
            public CommonResp<Integer> getStudyCourseCount(String userId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForCourse.getStudyCourseCount-查询userid:{}", userId);
                return CommonResp.failed("调用getStudyCourseCount失败");
            }
        };
    }
}
