package com.tanpu.community.feign.course;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.course.CourseDetailExt;
import com.tanpu.community.api.beans.vo.feign.course.CoursePackageDetail;
import com.tanpu.community.api.beans.vo.feign.course.CourseSimpleResp;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@FeignClient(value = "service-course", contextId = "course", fallbackFactory = FeignBackClientForCourse.class, url = "http://tp-course-svc", path = "/course")
//@FeignClient(value = "service-course", contextId = "course", fallbackFactory = FeignBackClientForCourse.class, url = "http://172.20.1.249:8060/course")

public interface FeignClientForCourse {

    @ApiOperation("courseId 详情页")
    @GetMapping("/course/detail/info")
    CommonResp<CourseDetailExt> getCourseIdDetailInfo(@ApiParam("课程详情id") @RequestParam("id") String id,
                                                      @ApiParam("课程包id") @RequestParam("packageId") String packageId);


    @ApiOperation("课程基础信息列表")
    @GetMapping("/course/simple/list")
    CommonResp<List<CourseSimpleResp>> getCourseSimpleList(@RequestParam("ids") List<String> ids);


    @ApiOperation("详情页信息")
    @GetMapping("/course/detail")
    CommonResp<CoursePackageDetail> getCoursePackageDetailInfo(@ApiParam(value = "课程包id", required = true) @RequestParam("id") String id);

    @ApiOperation("查询已学习课程包总数")
    @GetMapping("/course/getStudyCourseCount")
    CommonResp<Integer> getStudyCourseCount(@ApiParam(value = "用户id") @RequestParam(value = "userId",required = false) String userId);
}
