package com.tanpu.community.feign.diagnose;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.resp.Customer;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignBackClientForDiagnose implements FallbackFactory<FeignClientForDiagnose> {
    @Override
    public FeignClientForDiagnose create(Throwable throwable) {
        return new FeignClientForDiagnose() {

            @Override
            public CommonResp<List<Customer>> getIfaCustomerList(String ifaId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForDiagnose.getIfaCustomerList-查询理财师客户的id:{}", ifaId);
                return CommonResp.failed("getIfaCustomerList");
            }
        };
    }
}
