package com.tanpu.community.feign.product;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.fund.FundCompanySimpleVO;
import com.tanpu.community.api.beans.vo.feign.product.ProductInfoVO;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

//@FeignClient(value = "service-fund", url = "http://127.0.0.1:8194/fund")
@FeignClient(value = "service-fund", contextId = "fund", fallbackFactory = FeignbackForFund.class, url = "http://tp-fund-svc", path = "/fund")
//@FeignClient(value = "service-fund", path = "/fund")
public interface FeignForFund {

    @ApiOperation("获取产品详情")
    @GetMapping("/product/list")
    CommonResp<List<ProductInfoVO>> getProductList(@ApiParam("产品id") @RequestParam("ids") List<String> ids);

    @ApiOperation("获取ifa导入产品")
    @GetMapping("/privatefund/list")
    CommonResp<List<ProductInfoVO>> getPrivateFundList(@ApiParam("产品id") @RequestParam("ids") List<String> ids);

    @ApiOperation("获取非净值产品")
    @GetMapping("/product/not/net")
    CommonResp<List<ProductInfoVO>> getProductListNotNetInfo(@ApiParam("产品id") @RequestParam("ids") List<String> ids);

    @ApiOperation("基金公司-简单信息")
    @GetMapping("/fund/companyInfoSimple")
    CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(@ApiParam("基金公司id") @RequestParam("id") String id);

    @ApiOperation("私募类型基金公司-持有产品数")
    @GetMapping("/fund/companyFundCount")
    CommonResp<FundCompanySimpleVO> getCompanyFundCount(@ApiParam("基金公司id") @RequestParam("id") String id);
}
