package com.tanpu.community.feign.product;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.fund.FundCompanySimpleVO;
import com.tanpu.community.api.beans.vo.feign.product.ProductInfoVO;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignbackForPublicFund implements FallbackFactory<FeignForPublicFund> {

    @Override
    public FeignForPublicFund create(Throwable throwable) {
        return new FeignForPublicFund() {
            @Override
            public CommonResp<List<ProductInfoVO>> getProductList(List<String> ids) {
                log.error("getProductList.getProductList");
                return CommonResp.failed("调用公募详情失败");
            }
            @Override
            public CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(String id) {
                log.info("FeignForPublicFund.getFundCompanyInfoSimple 调用失败 id:{}", id);
                log.error("FeignForPublicFund.getFundCompanyInfoSimple 调用失败", throwable);
                return CommonResp.error();
            }

            @Override
            public CommonResp<FundCompanySimpleVO> getCompanyFundCount(String id) {
                log.info("FeignForPublicFund.getCompanyFundCount 调用失败 id:{}", id);
                log.error("FeignForPublicFund.getCompanyFundCount 调用失败", throwable);
                return CommonResp.error();
            }
        };
    }
}
