package com.tanpu.community.feign.tanpuroom;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.course.CurriCulumInfoDetailDto;
import com.tanpu.community.api.beans.vo.feign.course.CurriculumDetailVo;
import com.tanpu.community.api.beans.vo.feign.course.ShortVideoBaseInfoResp;
import com.tanpu.community.feign.product.FeignbackForPublicFund;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "service-tanpuroom", contextId = "tanpuroom", fallbackFactory = FeignBackClientForTanpuroom.class, url = "http://tp-tanpuroom-svc", path = "/tanpuroom")
//@FeignClient(value = "service-tanpuroom", contextId = "tanpuroom", fallbackFactory = FeignBackClientForTanpuroom.class, url = "http://172.20.0.183:8086/tanpuroom")
public interface FeignClientForTanpuroom {


    @ApiOperation("短视频基础信息")
    @GetMapping("/shortVideo/getShortVideoBaseInfo")
    CommonResp<List<ShortVideoBaseInfoResp>> getShortVideoBaseInfo(@RequestParam("sourceIds") List<String> sourceIds);

    @ApiOperation(value = "查询精品课详情")
    @PostMapping(value = "/curriculumInfos/detail", produces = {"application/json"})
    CommonResp<CurriculumDetailVo> queryCurriculumDetail(@RequestBody CurriCulumInfoDetailDto req);

}
