package com.tanpu.community.feign.zhibo;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboDetailVO;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboListResp;
import com.tanpu.community.feign.tanpuroom.FeignBackClientForTanpuroom;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

//@FeignClient(value = "service-zhibo", url = "${tanpu.feo-zhibo.svc:}", fallbackFactory = FeignbackForZhibo.class, path = "/zhibo")
@FeignClient(value = "service-zhibo", contextId = "zhibo", fallbackFactory = FeignbackForZhibo.class, url = "http://tp-zhibo-svc", path = "/zhibo")
//@FeignClient(value = "service-zhibo", fallbackFactory = FeignbackForZhibo.class, url = "http://172.20.0.169:8183/zhibo")
public interface FeignClientForZhibo {

    @ApiOperation(value = "根据直播间id查询直播间信息")
    @GetMapping("/theme/{roomId}/detail")
    CommonResp<ZhiboDetailVO> queryZhiboDetail(@ApiParam(value = "直播房间", required = true) @PathVariable("roomId") String roomId);

    @ApiOperation(value = "根据id获取直播信息")
    @PostMapping("/theme/zhibo/detail")
    CommonResp<List<ZhiboDetailVO>> getZhiBoByIds(@RequestBody List<String> ids);

    @ApiOperation(value = "根据Id查询直播基本信息")
    @PostMapping(value = "/theme/simpleList", produces = {"application/json"})
    CommonResp<List<ZhiboListResp>> simpleList(@RequestBody List<String> idList);
}
